<?php
  date_default_timezone_set("Europe/Warsaw");
  require("config.php");
  require("dashboard_stats.php");
  
?>  
<!DOCTYPE html>
<html>
<head>
  <link rel="stylesheet" type="text/css" href="css/keystats_style.css">
  <script src="js/echarts.min.js"></script>
</head>
<body>
  <?php
    //$end_day = date('Y-m-d');
    //$end_day = new DateTime('2018-11-31');
    //totalEmployeePerDay($start_day, $end_day='');
    //$start_day = new DateTime($end_day->format("Y-m-d"));
   // $start_day = new DateTime('2018-11-01');
    //$start_day =  getStartDateSinceBeginningOfWeek($start_day);
    $today = DateTime::createFromFormat("Y-m-d",date('Y-m-d'));
    $hour = date("H");
    if ( !isset($_GET["today"]))
    {
        $start_day = DateTime::createFromFormat( 'Y-m-d', date('Y-m-1'));
        $end_day = DateTime::createFromFormat( 'Y-m-d', date('Y-m-t'));
    }
    else
    {
        //echo "fixed month<br>";
        //echo "today: ".$_GET["today"]."<br>";
        $tmp = DateTime::createFromFormat( "Y-m-d",$_GET["today"]);
        //echo "#".$tmp;
        $today = DateTime::createFromFormat("Y-m-d", date($_GET["today"]));
        $start_day = DateTime::createFromFormat( 'Y-m-d', date( $tmp->format("Y")."-".$tmp->format("m")."-01" ));
        $end_day = DateTime::createFromFormat( 'Y-m-d', date(date( $tmp->format("Y")."-".$tmp->format("m")."-t" ) ));
    }
    
            
    $employee = totalEmployeePerDay($start_day, $end_day);
                   
    $start_day =  getStartDateSinceBeginningOfWeek($start_day);
   
    $tmp_start = clone $start_day;
    $tmp_end   = clone $end_day;
    $days_stats = getTotalItemsPerDays($tmp_start, $tmp_end); 
    
   
    $weeks = getWeeksBetweenDates($start_day, $end_day);
    
    
    $weeks_data = getItemsPerWeek( $weeks);
    
    
    $start_week = clone $today;
    $end_week   = clone $today;
    
    $week = getWeeksBetweenDates($start_week, $end_week);
    
    $start_week = new DateTime( $week[0]["start"]);
    $end_week   = new DateTime( $week[0]["end"]);
   
    $total_items_per_day = array( "total"=>0, "status_3" => 0, "status_5" => 0);
    $total_items_per_week = array( "total"=>0, "status_3" => 0, "status_5" => 0);
    $total_items_per_month = array( "total"=>0, "status_3" => 0, "status_5" => 0);
    $total_items_per_shift = array( "total"=>0, "status_3" => 0, "status_5" => 0);
    
    foreach( ($days_stats) as $key => $value)
    {
       $total_items_per_month["total"]    += $value["total"]['items'];
       $total_items_per_month["status_3"] += $value["total"]["items_3"];
       $total_items_per_month["status_5"] += $value["total"]["items_5"];
       
       if ( $today == $key)
       {
          
          $total_items_per_day["total"]     = $value["total"]["items"];
          $total_items_per_day["status_3"]  = $value["total"]["items_3"];
          $total_items_per_day["status_5"]  = $value["total"]["items_5"];
          
          if ( $hour < 14)
          {
              $total_items_per_shift["total"]     = $value["shift_1"]["items"];
              $total_items_per_shift["status_3"]  = $value["shift_1"]["items_3"];
              $total_items_per_shift["status_5"]  = $value["shift_1"]["items_5"];
          }
          else
          {
              $total_items_per_shift["total"]     = $value["shift_2"]["items"];
              $total_items_per_shift["status_3"]  = $value["shift_2"]["items_3"];
              $total_items_per_shift["status_5"]  = $value["shift_2"]["items_5"];
          }
       }
       
       $key_date = new DateTime($key);
       
       if (( $key_date >=$start_week) && ( $key_date <= $end_week))
       {
          $total_items_per_week["total"]     += $value["total"]["items"];
          $total_items_per_week["status_3"]  += $value["total"]["items_3"];
          $total_items_per_week["status_5"]  += $value["total"]["items_5"];
       }
        
    }
    $now = date("Y-m-d H:i:s");
    echo "Last update: ".$now."<br>";
    //echo "per day: ".print_r($total_items_per_day)."<br>";
    //echo "per week: ".print_r($total_items_per_week)."<br>";
    //echo "per month: ".print_r($total_items_per_month)."<br>";
    //echo "per shift: ".print_r($total_items_per_shift)."<br>";
  ?>
  <div id="shift_stats" class="stats" >
        <div class="stats_name">shift</div>
        <div class="stats_header" ><?php $hour= date("H"); echo "shift ";echo ($hour <14 ? 1:2); ?> </div>
        <div class="total_stats" ><?php global $total_items_per_shift; echo number_format ( $total_items_per_shift["total"], 0, "." , " " );?> </div>
        <div class="stat3" ><?php global $total_items_per_shift; echo number_format ( $total_items_per_shift["status_3"], 0, "." , " " );?></div>
        <div class="stat5" ><?php global $total_items_per_shift; echo number_format ( $total_items_per_shift["status_5"], 0, "." , " " );?></div>
  </div>
  <div id="day_stats" class="stats">
        <div class="stats_name">day</div>
        <div class="stats_header" ><?php global $today; echo $today->format("Y-m-d"); ?> </div>
        <div class="total_stats" ><?php global $total_items_per_day; echo number_format ( $total_items_per_day["total"], 0, "." , " " );?> </div>
        <div class="stat3" ><?php global $total_items_per_day; echo number_format ( $total_items_per_day["status_3"], 0, "." , " " );?></div>
        <div class="stat5" ><?php global $total_items_per_day; echo number_format ( $total_items_per_day["status_5"], 0, "." , " " );?></div>
  </div>
  <div id="week_stats" class="stats">
        <div class="stats_name">week</div>
        <div class="stats_header" ><?php global $start_week; global $end_week; echo $start_week->format("Y-m-d")."<br>".$end_week->format("Y-m-d"); ?> </div>
        <div class="total_stats" ><?php global $total_items_per_week; echo number_format ( $total_items_per_week["total"], 0, "." , " " );?> </div>
        <div class="stat3" ><?php global $total_items_per_week; echo number_format ( $total_items_per_week["status_3"], 0, "." , " " );?></div>
        <div class="stat5" ><?php global $total_items_per_week; echo number_format ( $total_items_per_week["status_5"], 0, "." , " " );?></div>
  </div>
  <div id="month_stats" class="stats">
        <div class="stats_name">month</div>
        <div class="stats_header" ><?php global $today; $month = $today->format("F"); echo $month; ?> </div>
        <div class="total_stats" ><?php global $total_items_per_month; echo number_format ( $total_items_per_month["total"], 0, "." , " " );?> </div>
        <div class="stat3" ><?php global $total_items_per_month; echo number_format ( $total_items_per_month["status_3"], 0, "." , " " );?></div>
        <div class="stat5" ><?php global $total_items_per_month; echo number_format ( $total_items_per_month["status_5"], 0, "." , " " );?></div>
  </div>
  <div style="    text-align: left;
    padding-top: 40px;
    margin-left: 110px;
    float: left;" >
    <img style="height: 60px;" src="INGRAM_Wordmark_Blue.jpg"/>
  </div>
  <div style="clear:both;margin-bottom:20px;"></div>
  <div>
  <details>
    <summary>Total employees per shift - table</summary>
    <table>
      <tr><th>day</th><th>shift 1</th><th>shift_2</th><th>total per day</th></tr>
      <?php
         $xticks = array();
         $shift_1 = array();
         $shift_2 = array();
         $total   = array();
         foreach( ($employee) as $key=>$value )
         {
            $xticks[] = $key;
            $shift_1[] = $value["shift_1"];
            $shift_2[] = $value["shift_2"];
            $total[]   = $value["total"];
            echo "<tr>";
            echo "<td>".$key."</td>";
            echo "<td>".$value["shift_1"]."</td>";
            echo "<td>".$value["shift_2"]."</td>";
            echo "<td>".$value["total"]."</td>";
            echo "</tr>";
         }
      ?>
    </table>
  </details>
  <details open>
    <summary>Total employees per shift - chart</summary>
    <div id="employee_chart" style="width:1280px; height:400px;"></div>
    <script type="text/javascript">
      var empChart = echarts.init(document.getElementById('employee_chart'));
      
      var option = {
          backgroundColor: '#eeeeee',
          legend: { data: [ '1st shift', '2nd shift', 'total']},
          tooltip: {
              trigger: 'axis',
              axisPointer: { type: 'shadow'  }
          },
          yAxis: [
            {
                type: 'value',
                name: '#emploees',
                min: 0 ,
            }
            ],          
          xAxis: [
              {
              
              name: "date",
              type: 'category',
              axisTick: {show: false},
              axisLabel: {rotate: 45},
              splitNumber: 31,
              data: [ <?php global $xticks; foreach ( $xticks as $val) echo "'".$val."',"; ?>]
              }
          ],
          series: [
              {
                name: "1st shift",
                type: "bar",
                barGap: 0,
                data: [ <?php foreach ($shift_1 as $val) echo "'".$val."',"; ?>]
              },
              {
                name: "2nd shift",
                type: "bar",
                barGap: 0,
                data: [ <?php foreach ($shift_2 as $val) echo "'".$val."',"; ?>]
              },
              {
                name: "total",
                type: "bar",
                barGap: 0,
                data: [ <?php foreach ($total as $val) echo "'".$val."',"; ?>]
              }
          ]
      };
      
      empChart.setOption(option);
    </script>
  </details>
  
   <details>
    <summary>Total items per day - table</summary>
    <table>
      <tr><th>day</th><th colspan=3>shift 1</th><th colspan=3>shift_2</th><th colspan=3>total per day</th></tr>
      <tr><th>day</th><th>total</th><th>status 3</th><th>status 5</th><th>total</th><th>status 3</th><th>status 5</th><th>total</th><th>status 3</th><th>status 5</th></tr>
      <?php
         $xticks = array();
         $shift_1 = array();
         $shift_2 = array();
         $total   = array();
         foreach( ($days_stats) as $key=>$value )
         {
            $xticks[] = $key;
            $shift_1[] = $value["shift_1"]['items'];
            $shift_2[] = $value["shift_2"]['items'];
            $total[]   = $value["total"]['items'];
            echo "<tr>";
            echo "<td>".$key."</td>";
            echo "<td>".$value["shift_1"]["items"]."</td>";
            echo "<td>".$value["shift_1"]["items_3"]."</td>";
            echo "<td>".$value["shift_1"]["items_5"]."</td>";
            echo "<td>".$value["shift_2"]["items"]."</td>";
            echo "<td>".$value["shift_2"]["items_3"]."</td>";
            echo "<td>".$value["shift_2"]["items_5"]."</td>";
            echo "<td>".$value["total"]["items"]."</td>";
            echo "<td>".$value["total"]["items_3"]."</td>";
            echo "<td>".$value["total"]["items_5"]."</td>";
            echo "</tr>";
         }
      ?>
    </table>
  </details>
  <details open>
    <summary>Total items per day - chart</summary>
    <div id="items_chart" style="width:1280px; height:400px;"></div>
    <script type="text/javascript">
      var itemsChart = echarts.init(document.getElementById('items_chart'));
      
      var option = {
          backgroundColor: '#eeeeee',
          legend: { data: [ '1st shift', '2nd shift', 'total']},
          tooltip: {
              trigger: 'axis',
              axisPointer: { type: 'shadow'  }
          },
          yAxis: [
            {
                type: 'value',
                name: '#items',
                min: 0 ,
            }
            ],          
          xAxis: [
              {
              
              name: "date",
              type: 'category',
              axisTick: {show: false},
              axisLabel: {rotate: 45},
              splitNumber: 31,
              data: [ <?php global $xticks; foreach ( $xticks as $val) echo "'".$val."',"; ?>]
              }
          ],
          series: [
              {
                name: "1st shift",
                type: "bar",
                barGap: 0,
                data: [ <?php foreach ($shift_1 as $val) echo "'".$val."',"; ?>]
              },
              {
                name: "2nd shift",
                type: "bar",
                barGap: 0,
                data: [ <?php foreach ($shift_2 as $val) echo "'".$val."',"; ?>]
              },
              {
                name: "total",
                type: "bar",
                barGap: 0,
                data: [ <?php foreach ($total as $val) echo "'".$val."',"; ?>]
              }
          ]
      };
      
      itemsChart.setOption(option);
    </script>
  </details>
  
  <details>
    <summary>Total items per week - table</summary>
    <table>
      <tr><th>from</th><th>to</th><th>total</th><th>status 3</th><th>status 5</th></tr>
      <?php
         $xticks    = array();
         $date_from = array();
         $date_to   = array();
         $total     = array();
         $status_3  = array();
         $status_5  = array();
         foreach( ($weeks_data) as $key=>$value )
         {
            $xticks[]     = $value["start"]." : ".$value["end"];
            $date_from[]  = $value["start"];
            $date_to[]    = $value["end"];
            $total[]      = $value["total"];
            $status_3[]   = $value["items_3"];
            $status_5[]   = $value["items_5"];
            
            echo "<tr>";
            echo "<td>".$value["start"]."</td>";
            echo "<td>".$value["end"]."</td>";
            echo "<td>".$value["total"]."</td>";
            echo "<td>".$value["items_3"]."</td>";
            echo "<td>".$value["items_5"]."</td>";
            echo "</tr>";
         }
      ?>
    </table>
  </details>
  <details open>
    <summary>Total items per week - chart</summary>
    <div id="items_weekly_chart" style="width:1280px; height:400px;"></div>
    <script type="text/javascript">
      var itemsWeeklyChart = echarts.init(document.getElementById('items_weekly_chart'));
      
      var option = {
          backgroundColor: '#eeeeee',
          legend: { data: [ 'total', 'status 3', 'status 5']},
          tooltip: {
              trigger: 'axis',
              axisPointer: { type: 'shadow'  }
          },
          yAxis: [
            {
                type: 'value',
                name: '#items',
                min: 0 ,
            }
            ],          
          xAxis: [
              {
              
              name: "week",
              type: 'category',
              axisTick: {show: false},
              axisLabel: {rotate: 0},
              splitNumber: <?php echo sizeof($xticks); ?>,
              data: [ <?php global $xticks; foreach ( $xticks as $val) echo "'".$val."',"; ?>]
              }                                                                                                                  
          ],
          series: [
              {
                name: "status 3",
                type: "bar",
                barGap: 0,
                data: [ <?php foreach ($status_3 as $val) echo "'".$val."',"; ?>]
              },
              {
                name: "status 5",
                type: "bar",
                barGap: 0,
                data: [ <?php foreach ($status_5 as $val) echo "'".$val."',"; ?>]
              },
              {
                name: "total",
                type: "bar",
                barGap: 0,
                data: [ <?php foreach ($total as $val) echo "'".$val."',"; ?>]
              }
          ]
      };
      
      itemsWeeklyChart.setOption(option);
    </script>
  </details>
  </div>
</body>
